<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@F001=63</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy" tempvariables="10">
    <script state="on">
      <action>temp0 =maincpu.pb@F61A</action>
      <action>temp1 =maincpu.pb@F61B</action>
      <action>temp2 =maincpu.pb@F61C</action>
      <action>temp3 =maincpu.pb@F61D</action>
      <action>temp4 =maincpu.pb@F61E</action>
      <action>temp5 =maincpu.pb@F61F</action>
      <action>temp6 =maincpu.pb@F620</action>
      <action>temp7 =maincpu.pb@F621</action>
      <action>temp8 =maincpu.pb@F622</action>
      <action>temp9 =maincpu.pb@F623</action>
    </script>
    <script state="run">
      <action condition="(frame % 120 == 0) AND (maincpu.pb@F61A!=temp0 )">maincpu.pb@F61A=0C</action>
      <action condition="(frame % 120 == 0) AND (maincpu.pb@F61B!=temp1 )">maincpu.pb@F61B=0C</action>
      <action condition="(frame % 120 == 0) AND (maincpu.pb@F61C!=temp2 )">maincpu.pb@F61C=0C</action>
      <action condition="(frame % 120 == 0) AND (maincpu.pb@F61D!=temp3 )">maincpu.pb@F61D=0C</action>
      <action condition="(frame % 120 == 0) AND (maincpu.pb@F61E!=temp4 )">maincpu.pb@F61E=0C</action>
      <action condition="(frame % 120 == 0) AND (maincpu.pb@F61F!=temp5 )">maincpu.pb@F61F=0C</action>
      <action condition="(frame % 120 == 0) AND (maincpu.pb@F620!=temp6 )">maincpu.pb@F620=0C</action>
      <action condition="(frame % 120 == 0) AND (maincpu.pb@F621!=temp7 )">maincpu.pb@F621=0C</action>
      <action condition="(frame % 120 == 0) AND (maincpu.pb@F622!=temp8 )">maincpu.pb@F622=0C</action>
      <action condition="(frame % 120 == 0) AND (maincpu.pb@F623!=temp9 )">maincpu.pb@F623=0C</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>Invincibility doesn't work against dogs!!</comment>
    <script state="run">
      <action>sub.pb@A11F=00</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon Now!"> <comment>If you use this weapon cheat make sure you select the 'None' option at the end of the level!!</comment>
    <parameter>
      <item value="0x00">None</item>
      <item value="0x01">Sword</item>
      <item value="0x02">Gun</item>
      <item value="0x03">Motor Cycle</item>
      <item value="0x04">Helicopter</item>
      <item value="0x05">Jet Ski</item>
    </parameter>
    <script state="change">
      <action>maincpu.pb@F0B9=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@F0C5=0B</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@F0DF=0B</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
